comparison sh/c139-gen-fc-script @ 18:c8ad6188b9ed

add c139-gen-fc-* shell script hierarchy
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 10 Jun 2023 08:16:10 +0000
parents
children 2299f1ebbfd2
comparison
equal deleted inserted replaced
17:632d62e5efb4 18:c8ad6188b9ed
1 #!/bin/sh
2
3 if [ $# != 1 ]
4 then
5 echo "usage: $0 fwimage.bin" 1>&2
6 exit 1
7 fi
8
9 if [ ! -f "$1" ]
10 then
11 echo "Error: $1 does not exist or is not a regular file" 1>&2
12 exit 1
13 fi
14
15 if [ ! -d rfbin ]
16 then
17 echo "Error: rfbin directory is missing" 1>&2
18 exit 1
19 fi
20
21 if [ ! -f IMEI ]
22 then
23 echo "Error: IMEI file is missing" 1>&2
24 exit 1
25 fi
26
27 set -e
28
29 c139-gen-fc-ffs-img rfbin IMEI
30
31 echo 'flash erase-program-boot /opt/freecalypso/target-bin/compal-flash-boot-for-fc.bin' > fc-flash-script
32 echo "flash e-program-bin 0x10000 $1" >> fc-flash-script
33 echo "flash e-program-bin 0x300000 fc-ffs.bin" >> fc-flash-script
34
35 echo 'Generated fc-loadtool command script in fc-flash-script'